VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "draw_Circle"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

' The PictureBox we draw on.
Public picCanvas As PictureBox
Attribute picCanvas.VB_VarHelpID = -1

' The rectangle's drawing attributes.
Public X0 As Single
Public Y0 As Single
Public Radius As Single
Public DrawWidth As Integer
Public ForeColor As OLE_COLOR
Public FillColor As OLE_COLOR
Public FillStyle As FillStyleConstants

' True if the object is selected.
Public Selected As Boolean
' Draw on picCanvas.
Public Sub Draw()
    ' See if the object is selected.
    If Selected Then
        ' It is selected.
        ' Draw in yellow to highlight it.
        picCanvas.ForeColor = vbYellow
    Else
        ' It is not selected.
        ' Use its normal ForeColor.
        picCanvas.ForeColor = ForeColor
    End If

    ' Set other drawing attributes.
    With picCanvas
        .FillStyle = FillStyle
        .FillColor = FillColor
        .DrawWidth = DrawWidth
    End With

    ' Draw the object.
    picCanvas.Circle (X0, Y0), Radius, picCanvas.ForeColor
End Sub
' Return True if the object is at this position.
Public Function IsAt(ByVal X As Single, ByVal Y As Single) As Boolean
    IsAt = (X0 - X) * (X0 - X) + (Y0 - Y) * (Y0 - Y) < Radius * Radius
End Function


' Set some defaults.
Private Sub Class_Initialize()
    DrawWidth = 1
    ForeColor = vbBlack
    FillColor = vbWhite
    FillStyle = vbFSSolid
End Sub
