Attribute VB_Name = "Module1"
' Purpose    : Show error message intErr
' Assumptions: -
' Effect     : The error message has just been showed
' Inputs     : * intErr (error number)
'              * strMessage (for intErr = conErrOthers)
' Returns    : -
Public Sub ShowErrMessage(intErr As enmError, Optional strErrMessage As String)
  Select Case intErr
    Case conErrWrite
      MsgBox "Cannot write to the disk." & vbNewLine & vbNewLine & _
               "Make sure the disk is not full or write-protected.", _
             vbOKOnly + vbCritical
    Case conErrPrint
      MsgBox "Cannot print the file." & vbNewLine & vbNewLine & _
               "Make sure the print is ready.", vbOKOnly + vbCritical
    Case conErrReadImage
      MsgBox "Cannot open the file." & vbNewLine & vbNewLine & _
               "The file may be corrupt or not a valid picture file.", _
             vbOKOnly + vbCritical
    Case conErrDrawing
      MsgBox "Cannot drawing using the selected tool." & _
               vbNewLine & vbNewLine & _
               "The needed file may be missing.", _
             vbOKOnly + vbCritical
    Case conErrOthers
      MsgBox strErrMessage, vbOKOnly + vbCritical
  End Select
End Sub

